package com.goafanti.common.dao;

import com.goafanti.common.model.PublicReleaseDetails;
import com.goafanti.weChat.bo.InputPublicRelease;
import com.goafanti.weChat.bo.OutPublicRelease;
import com.goafanti.weChat.bo.OutPublicReleaseDetails;

import java.util.List;

public interface PublicReleaseDetailsMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(PublicReleaseDetails record);

    int insertSelective(PublicReleaseDetails record);

    PublicReleaseDetails selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(PublicReleaseDetails record);

    int updateByPrimaryKey(PublicReleaseDetails record);

    List<OutPublicReleaseDetails> selectByPCid(Integer id);

    void insertBatch(List<PublicReleaseDetails> list);

    String getNamesByPrid(Integer id);

    PublicReleaseDetails selectBypridAndUid(InputPublicRelease in);

    void updateDistrictByPrid(InputPublicRelease in);

}
